POST api/NTCosCompany/UpdateTurnaround
Request Information
URI Parameters
None.
Body Parameters
TurnaroundDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
String length: inclusive between 0 and 100 |
|
| StartDate | date |
None. |
|
| EndDate | date |
None. |
|
| Note | string |
String length: inclusive between 0 and 1000 |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| lstTurnaroundCorporation | Collection of TurnaroundCorporationDTO |
None. |
|
| lstTurnaroundServices | Collection of TurnaroundServicesDTO |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"Name": "sample string 2",
"StartDate": "2026-06-20T08:04:38.5308659-07:00",
"EndDate": "2026-06-20T08:04:38.5308659-07:00",
"Note": "sample string 4",
"CorporationCode": "sample string 5",
"lstTurnaroundCorporation": [
{
"Id": 1,
"TurnaroundId": 2,
"CorporationCode": "sample string 3",
"BranchCode": "sample string 4",
"DivisionCode": "sample string 5",
"WorkLocationCode": "sample string 6",
"Type": 7,
"Level1": "sample string 8",
"Level2": "sample string 9",
"Level3": "sample string 10",
"Level4": "sample string 11",
"Level5": "sample string 12",
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:38.5308659-07:00",
"DateUpdated": "2026-06-20T08:04:38.5308659-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
},
{
"Id": 1,
"TurnaroundId": 2,
"CorporationCode": "sample string 3",
"BranchCode": "sample string 4",
"DivisionCode": "sample string 5",
"WorkLocationCode": "sample string 6",
"Type": 7,
"Level1": "sample string 8",
"Level2": "sample string 9",
"Level3": "sample string 10",
"Level4": "sample string 11",
"Level5": "sample string 12",
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:38.5308659-07:00",
"DateUpdated": "2026-06-20T08:04:38.5308659-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
}
],
"lstTurnaroundServices": [
{
"Id": 1,
"TurnaroundId": 2,
"ServiceId": 3,
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:38.5308659-07:00",
"DateUpdated": "2026-06-20T08:04:38.5308659-07:00",
"UserIDCreated": 7,
"UserIDUpdated": 8,
"CompanyCode": "sample string 9",
"IsExcludeDiscount": true
},
{
"Id": 1,
"TurnaroundId": 2,
"ServiceId": 3,
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:38.5308659-07:00",
"DateUpdated": "2026-06-20T08:04:38.5308659-07:00",
"UserIDCreated": 7,
"UserIDUpdated": 8,
"CompanyCode": "sample string 9",
"IsExcludeDiscount": true
}
],
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:38.5308659-07:00",
"DateUpdated": "2026-06-20T08:04:38.5308659-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfTurnaroundDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | TurnaroundDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"Name": "sample string 2",
"StartDate": "2026-06-20T08:04:38.5621571-07:00",
"EndDate": "2026-06-20T08:04:38.5621571-07:00",
"Note": "sample string 4",
"CorporationCode": "sample string 5",
"lstTurnaroundCorporation": [
{
"Id": 1,
"TurnaroundId": 2,
"CorporationCode": "sample string 3",
"BranchCode": "sample string 4",
"DivisionCode": "sample string 5",
"WorkLocationCode": "sample string 6",
"Type": 7,
"Level1": "sample string 8",
"Level2": "sample string 9",
"Level3": "sample string 10",
"Level4": "sample string 11",
"Level5": "sample string 12",
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:38.5621571-07:00",
"DateUpdated": "2026-06-20T08:04:38.5621571-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
},
{
"Id": 1,
"TurnaroundId": 2,
"CorporationCode": "sample string 3",
"BranchCode": "sample string 4",
"DivisionCode": "sample string 5",
"WorkLocationCode": "sample string 6",
"Type": 7,
"Level1": "sample string 8",
"Level2": "sample string 9",
"Level3": "sample string 10",
"Level4": "sample string 11",
"Level5": "sample string 12",
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:38.5621571-07:00",
"DateUpdated": "2026-06-20T08:04:38.5621571-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
}
],
"lstTurnaroundServices": [
{
"Id": 1,
"TurnaroundId": 2,
"ServiceId": 3,
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:38.5621571-07:00",
"DateUpdated": "2026-06-20T08:04:38.5621571-07:00",
"UserIDCreated": 7,
"UserIDUpdated": 8,
"CompanyCode": "sample string 9",
"IsExcludeDiscount": true
},
{
"Id": 1,
"TurnaroundId": 2,
"ServiceId": 3,
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:38.5621571-07:00",
"DateUpdated": "2026-06-20T08:04:38.5621571-07:00",
"UserIDCreated": 7,
"UserIDUpdated": 8,
"CompanyCode": "sample string 9",
"IsExcludeDiscount": true
}
],
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:38.5621571-07:00",
"DateUpdated": "2026-06-20T08:04:38.5621571-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
},
"totalCount": 3
}